import request from '../utils/request'
import getAPI from '../config/apis'

export default {
    state: {
      detail: {},
    },
    mutations: {
      updateBuilding(state, detail) {
        state.detail = detail
      }
    },
    actions: {
      getBuilding({ commit }, params) {
        return new Promise((resolve, reject) => {
          request({ ...getAPI('building.get', { project_id: params.project_id }) }).then((data) => {
            commit('updateBuilding', data)
            resolve()            
          }).catch(reject)
        });
      },
    }
  }